Inventory

Consume Own Inventory Item

PUT
/inventory/{inventoryItemId}/consume

Returns the modified InventoryItem object as held by the currently logged in user.

Authorization

authCookie
auth<token>

Auth Token via Cookie

In: cookie

Path Parameters

inventoryItemId*string

Must be a valid inventory item ID.

Response Body

application/json

application/json

application/json

curl -X PUT "https://api.vrchat.cloud/api/1/inventory/inv_00000000-0000-0000-0000-000000000000/consume"
{
  "errors": [
    {}
  ],
  "inventoryItems": [
    {
      "collections": [
        "string"
      ],
      "created_at": "2025-06-13T05:00:45.455Z",
      "defaultAttributes": {
        "property1": {
          "defaultValue": "string",
          "validator": {
            "type": "string"
          }
        },
        "property2": {
          "defaultValue": "string",
          "validator": {
            "type": "string"
          }
        }
      },
      "description": "string",
      "equipSlot": "drone",
      "equipSlots": [
        "drone"
      ],
      "expiryDate": "2025-06-13T05:00:45.455Z",
      "flags": [
        "string"
      ],
      "holderId": "usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469",
      "id": "inv_10bce5b0-2d2b-44e0-900d-db6534615162",
      "imageUrl": "string",
      "isArchived": true,
      "isSeen": true,
      "itemType": "prop",
      "itemTypeLabel": "string",
      "metadata": {
        "animated": true,
        "animationStyle": "string",
        "assetBundleId": "string",
        "fileId": "string",
        "imageUrl": "string",
        "inventoryItemsToInstantiate": [
          "invt_b80ce14b-038b-4f56-b970-d232771d62e3"
        ],
        "maskTag": "string",
        "propId": "prop_829ba6f6-b837-49d9-b9a9-056b82103b58"
      },
      "name": "string",
      "quantifiable": true,
      "tags": [
        "string"
      ],
      "templateId": "invt_b80ce14b-038b-4f56-b970-d232771d62e3",
      "template_created_at": "2025-06-09T16:31:40.785Z",
      "template_updated_at": "2025-06-25T00:34:14.578Z",
      "updated_at": "2025-06-25T00:34:15.965Z",
      "userAttributes": {
        "primaryColor": "string",
        "secondaryColor": "string",
        "trailColor": "string"
      },
      "validateUserAttributes": true
    }
  ],
  "inventoryItemsCreated": 0
}
{
  "error": {
    "message": "InventoryItem not consumable",
    "status_code": 400
  }
}
{
  "error": {
    "message": "\"Missing Credentials\"",
    "status_code": 401
  }
}